MIDIMelodicInstrument

data

## Class MIDIMelodicInstrument

- java.lang.Object
- - data.MIDIMelodicInstrument

-     public class MIDIMelodicInstrument
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `harmony`
    `private int` | `instrument_from`
    `private int` | `instrument_to`
    `private boolean` | `melody`
    `private boolean` | `randomBeat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIDIMelodicInstrument()`
    `MIDIMelodicInstrument(int instrument_from, int instrument_to, boolean melody, boolean harmony, boolean randomBeat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInstrument_from()`
    `int` | `getInstrument_to()`
    `boolean` | `isHarmony()`
    `boolean` | `isMelody()`
    `boolean` | `isRandomBeat()`
    `void` | `setHarmony(boolean harmony)`
    `void` | `setInstrument_from(int instrument_from)`
    `void` | `setInstrument_to(int instrument_to)`
    `void` | `setMelody(boolean melody)`
    `void` | `setRandomBeat(boolean randomBeat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instrument_from

          private int instrument_from

    - #### instrument_to

          private int instrument_to

    - #### melody

          private boolean melody

    - #### harmony

          private boolean harmony

    - #### randomBeat

          private boolean randomBeat

  - ### Constructor Detail

    - #### MIDIMelodicInstrument

          public MIDIMelodicInstrument()

    - #### MIDIMelodicInstrument

          public MIDIMelodicInstrument(int instrument_from,
                               int instrument_to,
                               boolean melody,
                               boolean harmony,
                               boolean randomBeat)

  - ### Method Detail

    - #### getInstrument_from

          public int getInstrument_from()

    - #### setInstrument_from

          public void setInstrument_from(int instrument_from)

    - #### getInstrument_to

          public int getInstrument_to()

    - #### setInstrument_to

          public void setInstrument_to(int instrument_to)

    - #### isMelody

          public boolean isMelody()

    - #### setMelody

          public void setMelody(boolean melody)

    - #### isHarmony

          public boolean isHarmony()

    - #### setHarmony

          public void setHarmony(boolean harmony)

    - #### isRandomBeat

          public boolean isRandomBeat()

    - #### setRandomBeat

          public void setRandomBeat(boolean randomBeat)